Package Scientific :: Package Geometry :: Module Transformation :: Class RigidBodyTransformation

[frames] | no frames]

# Class RigidBodyTransformation

    Transformation --+
                     |
                    RigidBodyTransformation

Known Subclasses:
  - Rotation
  - , RotationTranslation
  - , Translation

Combination of translations and rotations

Instance Methods

Rotation

rotation(self) Returns: the rotational component |

screwMotion(self) Returns: the four parameters (reference, direction, angle, distance) of a screw-like motion that is equivalent to the transformation. |

Translation

translation(self) Returns: the translational component. |

Inherited from `Transformation`: `__call__`, `inverse`

Method Details

### rotation(self)

Returns: Rotation
  the rotational component

### screwMotion(self)

Returns:
  the four parameters (reference, direction, angle, distance) of a screw-like motion that is equivalent to the transformation. The screw motion consists of a displacement of distance (a `float`) along direction (a normalized Scientific.Geometry.Vector) plus a rotation of angle radians around an axis pointing along direction and passing through the point reference (a Scientific.Geometry.Vector).

### translation(self)

Returns: Translation
  the translational component. In the case of a mixed rotation/translation, this translation is executed after the rotation.